@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0">Ubah {{ $title }}</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Master Data</a></li>
                        <li class="breadcrumb-item active">Ubah {{$title}}</li>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    {!! Form::model($user,['route'=>['user.update',$user->id],'method'=>'PUT']) !!}
                    <div class="mb-3 row">
                        <label class="col-md-2 col-form-label">Induk OPD</label>
                        <div class="col-md-10">
                            {!! Form::select('induk_opd_id',$induk_opd,isset($user->induk_opd_id)?$user->induk_opd_id:"",['class'=>'form-control daerah','required'=>'required','placeholder'=>'Pilih Induk OPD']) !!}
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="example-text-input" class="col-md-2 col-form-label">Nama</label>
                        <div class="col-md-10">
                            {!! Form::text('nama',null,['class'=>'form-control','id'=>'example-text-input']) !!}
                            {{-- <input class="form-control" type="text" name="name" id="example-text-input"> --}}
                        </div>
                    </div>                  
                    <div class="mb-3 row">
                        <label for="example-text-input" class="col-md-2 col-form-label">Kode SKPD</label>
                        <div class="col-md-10">
                            {!! Form::text('kode_skpd',null,['class'=>'form-control','id'=>'example-text-input']) !!}
                            {{-- <input class="form-control" type="text" name="name" id="example-text-input"> --}}
                        </div>
                    </div>   
                    <div class="mb-3 row">
                        <label class="col-md-2 col-form-label">Kategori</label>
                        <div class="col-md-10 d-flex justify-content-around">
                            {!! Form::select('kategori_opd_id',$kategori,isset($user->kategori_opd_id)?$user->kategori_opd_id:"",['class'=>'form-control daerah','required'=>'required','placeholder'=>'Pilih Kategori OPD']) !!}
                        </div>
                        {{-- <div class="col-md-10">
                        </div> --}}
                    </div>
                    <div class="mb-3 row">
                        <label class="col-md-2 col-form-label">Alamat</label>
                        <div class="col-md-10">
                            {!! Form::text('alamat',$user->alamat,['class'=>'form-control','required'=>'required']) !!}
                        </div>
                    </div>    
                    <div class="mb-3 row">
                        <label for="example-email-input" class="col-md-2 col-form-label">Username</label>
                        <div class="col-md-10">
                            {!! Form::text('username',null,['class'=>'form-control','id'=>'example-email-input']) !!}
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="example-password-input" class="col-md-2 col-form-label">Password</label>
                        <div class="col-md-10">
                            {!! Form::password('password',['class'=>'form-control','id'=>'example-password-input']) !!}
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="example-password-input" class="col-md-2 col-form-label">Confirm Password</label>
                        <div class="col-md-10">
                            {!! Form::password('password_confirmation',['class'=>'form-control','id'=>'example-password-input']) !!}
                        </div>
                    </div>
                    @role("Admin") 
                    
                    <div class="mb-3 row">
                        <label for="example-text-input" class="col-md-2 col-form-label">Pengguna</label>
                        <div class="col-md-10">
                            {!! Form::select('role_id',isset($roles)?$roles:$datas, isset($daerahs)?$datas[0]->id_daerah:$user->roles->first()["id"], ['class'=>'form-control daerah','id'=>'example-text-input']) !!}
                            {{-- <input class="form-control" type="text" name="name" id="example-text-input"> --}}
                        </div>
                    </div>    
                    @endrole
                    
                    <div class="add-field">
                        @if(isset($user))
                                {{-- <div class="mb-3 row">
                                    <label class="col-md-2 col-form-label">Daerah</label>
                                    <div class="col-md-10">
                                        @role("Admin")
                                        {!! Form::select('daerah_id',$upt_daerah,isset($user->daerah_id)?$user->daerah_id:"",['class'=>'form-control daerah','required'=>'required','placeholder'=>'pilih daerah']) !!}
                                        @endrole
                                        @role("Operator")
                                        {!! Form::select('daerah_id',$upt_daerah,isset($user->daerah_id)?$user->daerah_id:"",['class'=>'form-control daerah','required'=>'required','placeholder'=>'pilih daerah', 'disabled'=>'disabled']) !!}
                                        @endrole
                                    </div>
                                </div> --}}
                                {{-- <div class="mb-3 row">
                                    <label class="col-md-2 col-form-label">Alamat</label>
                                    <div class="col-md-10">
                                        {!! Form::text('alamat',$user->alamat,['class'=>'form-control','required'=>'required']) !!}
                                    </div>
                                </div>  --}}
                                {{-- {{$user->pelanggan}} --}}
                                {{-- @foreach($user->pelanggan as $key => $pelanggan)
                                <div class="mb-3 row">
                                    <label class="col-md-2 col-form-label">Sektor</label>
                                    <div class="col-md-10 d-flex justify-content-around">
                                        <select name="kategori[]" id="kategori" class="form-control kategori">
                                            @foreach ($kategori as $kategoris)
                                                <option value="{{$kategoris->id}}" {{$kategoris->id == $pelanggan->kategori_industri_id?"selected":""}}>{{$kategoris->kategori}}</option>
                                            @endforeach  
                                        </select>  
                                        {!! Form::text('lokasi[]',$pelanggan->lokasi,['class'=>'form-control mx-2','id'=>'example-text-input', 'placeholder'=>'lokasi']) !!}
                                        @if($key == 0)
                                        <button type="button" class="btn btn-success tambah">Tambah</button>
                                        @else
                                        <button type="button" onclick="deleteRow(this)" class="btn btn-danger hapus">Hapus</button>
                                        @endif
                                    </div>
                                    {{-- <div class="col-md-10">
                                    </div>
                                </div>
                                @endforeach      --}}
                        @endif
                    </div>
                    <div class="field_daerah">
                        
                    </div>
                    
                        <div class="mb-3 row">
                            <div class="col-md-11">
                                
                            </div>
                            <div class="col-md-1">
                                <input type="submit" value="Submit" class="btn btn-primary">
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection

@push('scripts')
<script type="text/javascript">
        $('.roles').change(function(){
            var role = $(this).val();
            if (role =='2') {
                $('.add-field').html($('#wp-component').html());
            }else if(role =='3'){
                $('.add-field').html($('#opr_content').html());
                $('.field_daerah').html('');
            }else{
                $('.add-field').html('');
            }
        });

        $('body').on('change','.kategori',function(){
            var kategori = $('.kategori option:selected');
            if (kategori.text() !== 'BUMN' && kategori.text() !== 'BUMD') {
                if (!$('.daerah').length) {
                    $('.field_daerah').html($('#field_daerah').html());
                }
            }else{
                $('.daerah').closest('.mb-3').remove();
                $('.field_daerah').html('');
            }
        });
            function deleteRow(row){
                row.parentElement.parentElement.remove();
            }

            // delete1.addEventListener('click', (e) => {
            //     const delete2 = document.querySelector(".hapus");
            //     delete2.parentElement.parentElement.remove();
            // })
        // $(document).ready(function(){
        //     $('.select2').select2();
        // });

        // $('.kategori').select2({
        //             placeholder:'pilih wilayah',
        //             multiple:true,
        //             width:'100%',
        //             allowClear:true,
        //         });
        // $('.kategori').val('').trigger('change');
    </script>
    <script type="text/template" id="wp-component">
        <div class="mb-3 row">
            <label class="col-md-2 col-form-label">Kategori</label>
            <div class="col-md-10">
                {!! Form::select('kategori_industri_id',$kategori,null,['class'=>'form-control kategori','required'=>'required','placeholder'=>'pilih kategori']) !!}
            </div>
        </div>
        <div class="mb-3 row">
            <label class="col-md-2 col-form-label">NIK</label>
            <div class="col-md-10">
                {!! Form::number('nik',null,['class'=>'form-control','required'=>'required']) !!}
            </div>
        </div>
        <div class="mb-3 row">
            <label class="col-md-2 col-form-label">Alamat</label>
            <div class="col-md-10">
                {!! Form::text('alamat',null,['class'=>'form-control','required'=>'required']) !!}
            </div>
        </div>
    </script>

    <script type="text/template" id="field_daerah">
        <div class="mb-3 row">
            <label class="col-md-2 col-form-label">Daerah</label>
            <div class="col-md-10">
                {!! Form::select('daerah_id',$induk_opd,null,['class'=>'form-control','required'=>'required','placeholder'=>'pilih daerah']) !!}
            </div>
        </div>
    </script>

    <script type="text/template" id="opr_content">
        <div class="mb-3 row">
            <label class="col-md-2 col-form-label">NIK</label>
            <div class="col-md-10">
                {!! Form::number('nik',null,['class'=>'form-control','required'=>'required']) !!}
            </div>
        </div>
        <div class="mb-3 row">
            <label class="col-md-2 col-form-label">Alamat</label>
            <div class="col-md-10">
                {!! Form::text('alamat',null,['class'=>'form-control','required'=>'required']) !!}
            </div>
        </div>
        <div class="mb-3 row">
            <label class="col-md-2 col-form-label">Daerah</label>
            <div class="col-md-10">
                {!! Form::select('daerah_id',$induk_opd,null,['class'=>'form-control','required'=>'required','placeholder'=>'pilih daerah']) !!}
            </div>
        </div>
    </script>
@endpush